SunshinePHP Developer Conference 2015

oci_server_version

(PHP 5, PECL OCI8 >= 1.1.0)

oci_server_versionOracle データベースのバージョンを返す

説明

string oci_server_version ( resource $connection )

Oracle データベースのバージョンと利用可能なオプションを返します。

パラメータ

connection

返り値

バージョン情報を表す文字列、あるいはエラー時に FALSE を返します。

例1 oci_server_version() の例

<?php

$conn 
oci_connect("hr""hrpwd""localhost/XE");
echo 
"サーバーのバージョン: " oci_server_version($conn);

// 出力は
// サーバーのバージョン: Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 - 64bit Production
// With the Partitioning, OLAP, Data Mining and Real Application Testing option

oci_close($conn);

?>

注意

注意:

PHP バージョン 5.0.0 以前では、代わりに ociserverversion() を使用しなければなりません。 まだこの古い名前を使用できますが、廃止予定で非推奨です。

参考

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top